Download it now!
Bug 83768 - LO BASE / soffice.bin *32 fails to close properly on Windows systems after editing objects
Summary: LO BASE / soffice.bin *32 fails to close properly on Windows systems after ed...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Performance
  Show dependency treegraph
 
Reported: 2014-09-11 13:55 UTC by Doug
Modified: 2020-09-21 19:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace of hang (8.07 KB, text/plain)
2014-11-13 14:09 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Doug 2014-09-11 13:55:07 UTC
On Windows 7 32-bit, and LO 4.3.0.4 and 4.3.1.2 (using JDBC connector):

1.  Open Base.
2.  Edit form in significant way.
3.  Close LO Base.  More reliably triggers bug if you do not save in advance, let dialogs pop up asking about save.

UNEXPECTED RESULT:  Base hangs, visible in window but does not close (especially if you waited for dialog boxes to ask about save).  Alternatively, if you press the save button in advance of closing Base, the window may disappear but following processes remain running in background and block reopening of all LibreOffice documents: soffice.bin *32, soffice.exe *32, sbase.exe *32.

I began experiencing this problem after applying August 2014 Microsoft patches.  It might have been a latent problem not noticed earlier, or it might have been new with the then-Fresh LO 4.3.0.4.  Did not notice with LO Still 4.2...  This does not happen every time, but it does happen very frequently after editing database forms and queries.

FIRST WORKAROUND:  Kill process soffice.bin *32.  All other processes will terminate, have *not* experienced data loss (save is successful).

SECOND (possible) WORKAROUND:  Save Base document manually, press "close" instead of "exit", in LO main workspace (which pops up next) ask to open LO Writer, exit LO from Writer menu.  This sequence, calling Writer before trying to exit LO, appears to result in normal close.

Filing bug report because another user reported problem finding workaround in LO Ask forum.

http://ask.libreoffice.org/en/question/39496/how-do-i-solve-a-problem-with-base-saving-forms-and-then-not-exiting/

Normal user might have trouble identifying workaround, without workaround blocks normal use of Base for design.  Not sure if this is a problem on all Windows 7 systems, hunch that it is related to more universal problems with some Microsoft August 2014 patches, but not sure.
Comment 1 Buovjaga 2014-11-13 14:09:45 UTC
Created attachment 109409 [details]
Backtrace of hang
Comment 2 Buovjaga 2014-11-13 14:11:07 UTC
Had a hang on close + save as per instructions. Tried to reproduce for Windbg, but it hanged already when I clicked the Create form wizard. Backtrace above.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 3 Alex Thurgood 2015-01-03 17:40:21 UTC Comment hidden (no-value)
Comment 4 tommy27 2016-04-16 07:26:57 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-05-22 13:39:57 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:20:49 UTC
Dear Doug,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug